MyGUI: MyGUI::ClipboardManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::ClipboardManager Class Reference

`#include <MyGUI_ClipboardManager.h>`

## Public Member Functions
| ClipboardManager ()
void | initialise ()
void | shutdown ()
void | setClipboardData (const std::string &_type, const std::string &_data)
void | clearClipboardData (const std::string &_type)
std::string | getClipboardData (const std::string &_type) const

## Static Public Member Functions
static ClipboardManager & | getInstance ()
static ClipboardManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Data Fields
delegates::CMultiDelegate2< const std::string &, const std::string & > | eventClipboardChanged
delegates::CMultiDelegate2< const std::string &, std::string & > | eventClipboardRequested

## Detailed Description

Definition at line 20 of file MyGUI_ClipboardManager.h.

## Constructor & Destructor Documentation

## ◆ ClipboardManager()

MyGUI::ClipboardManager::ClipboardManager | ( |  | ) |

Definition at line 20 of file MyGUI_ClipboardManager.cpp.

## Member Function Documentation

## ◆ clearClipboardData()

void MyGUI::ClipboardManager::clearClipboardData | ( | const std::string & | _type | ) |

Clear specific type data

Parameters

  _type | of data to delete (for example "Text")

Definition at line 65 of file MyGUI_ClipboardManager.cpp.

## ◆ getClassTypeName()

static const char * MyGUI::ClipboardManager::getClassTypeName | ( |  | ) |
| static

## ◆ getClipboardData()

std::string MyGUI::ClipboardManager::getClipboardData | ( | const std::string & | _type | ) | const

Get specific type data

Parameters

  _type | of data to get (for example "Text")

Definition at line 71 of file MyGUI_ClipboardManager.cpp.

## ◆ getInstance()

static ClipboardManager & MyGUI::ClipboardManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static ClipboardManager * MyGUI::ClipboardManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::ClipboardManager::initialise | ( |  | ) |

Definition at line 29 of file MyGUI_ClipboardManager.cpp.

## ◆ setClipboardData()

void MyGUI::ClipboardManager::setClipboardData | ( | const std::string & | _type,
|  | const std::string & | _data )

Set current data in clipboard and trigger eventClipboardChanged. To be used by widgets.

Parameters

  _type | of data (for example "Text")
  _data |

Definition at line 58 of file MyGUI_ClipboardManager.cpp.

## ◆ shutdown()

void MyGUI::ClipboardManager::shutdown | ( |  | ) |

Definition at line 43 of file MyGUI_ClipboardManager.cpp.

## Field Documentation

## ◆ eventClipboardChanged

delegates::CMultiDelegate2<const std::string&, const std::string&> MyGUI::ClipboardManager::eventClipboardChanged

Event : Clipboard content was changed via setClipboardData.
signature : void method(const std::string& _type, const std::string& _data)

Parameters

  _type | of data (for example "Text")
  _data |

Definition at line 51 of file MyGUI_ClipboardManager.h.

## ◆ eventClipboardRequested

delegates::CMultiDelegate2<const std::string&, std::string&> MyGUI::ClipboardManager::eventClipboardRequested

Event : The content of the clipboard is being requested via getClipboardData.
Delegates of this event can modify the _data argument in-place to change the data returned by getClipboardData. signature : void method(const std::string& _type, std::string& _data)

Parameters

  _type | of data (for example "Text")
  _data |

Definition at line 59 of file MyGUI_ClipboardManager.h.

The documentation for this class was generated from the following files:

- MyGUI_ClipboardManager.h
- MyGUI_ClipboardManager.cpp